Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.codecs
[Java] Class HTML4Codec

    java.lang.Object
      org.codehaus.groovy.grails.plugins.codecs.HTML4Codec

All Implemented Interfaces:
  CodecFactory

    public class HTML4Codec
    extends java.lang.Object

Encodes and decodes strings to and from HTML. It uses escaping information from Spring's HtmlUtils so that this is compatible with the previous "encodeAsHTML" in older Grails versions.

Authors:
  Lari Hotari

Since:
  2.3

Method Summary
`Decoder` | `getDecoder()`
`Encoder` | `getEncoder()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getDecoder

    public Decoder getDecoder()

### getEncoder

    public Encoder getEncoder()

Groovy Documentation